{
  'targets': [
    {
      'target_name': 'jsupm_cjq4435',
      'sources': [
        'utilities/upm_utilities.c',
'jsupm_cjq4435JAVASCRIPT_wrap.cxx',
'cjq4435.cxx',

      ],
      'include_dirs': [
        '<@(mraa_include_dir)',
        'upm',
'utilities',
'.',
'include/fti',
'include',

      ],
      'variables': {
        'node_mraa': '<!(node -p -e "require(\'path\').dirname(require.resolve(\'mraa\'))")',
        'mraa_include_dir': [
          '<(node_mraa)/../../api'
        ],
        'mraa_libraries': [
          '<(node_mraa)/mraa.node',
          '-Wl,-rpath,<(node_mraa)',
        ],
        "v8_version%": "<!(node -e 'console.log(process.versions.v8)' | sed 's/\.//g' | cut -c 1-5)",
        "arch%": "<!(node -e 'console.log(process.arch)')"
      },
      'link_settings': {
        'libraries' : [ '<@(mraa_libraries)' ]
      },
      'cflags_cc!': [ '-fno-rtti', '-fno-exceptions' ],
      'cflags!': [ '-fno-exceptions' ],
      'defines' : [
        'SWIG',
        'BUILDING_NODE_EXTENSION=1',
        'SWIG_V8_VERSION=0x0<(v8_version)',
        'V8_VERSION=0x0<(v8_version)'
      ]
    }
  ]
}
